Skip to content

reseller-pricelist ​

← All modules

1 endpoint.

POST /api/v1/reseller-pricelist/request ​

Request Pricelist

Email the reseller pricelist to the address supplied.

Always answers the same way once the input is valid — throttled, already sent, or delivered — so the endpoint cannot be used to probe which addresses have asked before.

Request body

json
{
  "properties": {
    "name": {
      "type": "string",
      "maxLength": 120,
      "minLength": 1,
      "title": "Name"
    },
    "email": {
      "type": "string",
      "format": "email",
      "title": "Email"
    },
    "company": {
      "type": "string",
      "maxLength": 160,
      "title": "Company",
      "default": ""
    },
    "website": {
      "type": "string",
      "maxLength": 200,
      "title": "Website",
      "default": ""
    }
  },
  "type": "object",
  "required": [
    "name",
    "email"
  ],
  "title": "PricelistRequest"
}

200 — Successful Response

json
{
  "additionalProperties": true,
  "type": "object",
  "title": "Response Request Pricelist Api V1 Reseller Pricelist Request Post"
}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

Lubb One Documentation